Subject: Re: aic7xxx breakage

From: Bill Fink <[email-masked]>
Date: Sun, 11 Aug 2002 05:57:18 -0400

Hi Ben,

On Sun, 11 Aug 2002, Benjamin Herrenschmidt wrote:

> >I also encountered this problem on a dual G4 450 (AGP graphics).  On the
> >theory that more information is often useful (or at least easily deleted
> >from the email queue), I am sending the results of "lspci -vv" as well as
> >a couple of dmesg logs.  The last kernel I made that works with the card
> >is a 2.4.19-rc1 kernel from the linuxppc_2_4 tree.  This is the kernel
> >I was running for the lspci output.  I am also sending dmesg logs from
> >this kernel, and from a 2.4.19 kernel built from the linuxppc_2_4_devel
> >tree.  If they would be useful, I can also send diffs of any of the PCI
> >driver source code files between the two trees.  (I don't know how many
> >versions you might have laying around easily fed into diff.)
>
> Ok, can you both try editing arch/ppc/kernel/pci.c, and in
> pcibios_init(), replace the call to pcibios_assign_resource()
> with a call to pci_assign_unassigned_resources() and tell me
> what happens ?
> If the resulting kernel boots, please send me the dmesg log and
> the lspci -vv output.

Unfortunately, with this change the kernel doesn't even boot, failing
very early on with the last messages on screen being:

openpic enter
openpic timer
openpic ext
openpic spurious
openpic exit

						-Bill

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/